Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/sys/rump Summary: add the files from src/tools/headerlist to...



details:   https://anonhg.NetBSD.org/src/rev/c404597257da
branches:  trunk
changeset: 459455:c404597257da
user:      bad <bad%NetBSD.org@localhost>
date:      Thu Sep 12 17:35:58 2019 +0000

description:
Summary: add the files from src/tools/headerlist to the output.

diffstat:

 sys/rump/listsrcdirs |  18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

diffs (41 lines):

diff -r 74e3173c03db -r c404597257da sys/rump/listsrcdirs
--- a/sys/rump/listsrcdirs      Thu Sep 12 17:09:00 2019 +0000
+++ b/sys/rump/listsrcdirs      Thu Sep 12 17:35:58 2019 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-#      $NetBSD: listsrcdirs,v 1.40 2019/09/12 15:17:08 bad Exp $
+#      $NetBSD: listsrcdirs,v 1.41 2019/09/12 17:35:58 bad Exp $
 #
 
 #
@@ -63,6 +63,20 @@
        iswanted ${what} && for arg in $* ; do echo src${pfx}${arg} ; done
 }
 
+include_headerlist ()
+{
+       what=$1
+       pfx=$2
+       shift 2
+
+       if iswanted ${what}; then
+               [ -f headerlist ] \
+                       || { echo 'missing file: headerlist' 1>&2; exit 1; }
+               sed -E -e '/^#/d' -e '/^[  ]*$/d' \
+                   -e "/^\.?\/?/s##src${pfx}#" headerlist
+       fi
+}
+
 ARCHS="amd64 i386 x86 arm evbarm sparc sparc64 powerpc evbppc mips evbmips aarch64 riscv"
 ARCHS_EXTRA="arm/arm32 Makefile"
 
@@ -133,6 +147,8 @@
        for extra in ${ARCHS_EXTRA}; do
                lsrc sys /sys/arch/ ${extra}
        done
+       # the includes mentioned in src/tools/headerlist are required
+       include_headerlist sys /sys/arch/
 else
        lsrc sys / sys
 



Home | Main Index | Thread Index | Old Index